Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drupal.project.async_command
Class DefaultDrupalAppDeprecated

    java.lang.Object
      org.drupal.project.async_command.deprecated.AbstractDrupalAppDeprecated
          org.drupal.project.async_command.deprecated.DefaultDrupalAppDeprecated

Deprecated.

    @Deprecated
    public class DefaultDrupalAppDeprecated

extends AbstractDrupalAppDeprecated

Nested Class Summary
`static class` | `DefaultDrupalAppDeprecated.TestMe` Deprecated.

Nested classes/interfaces inherited from class org.drupal.project.async_command.AbstractDrupalAppDeprecated
`AbstractDrupalAppDeprecated.EncryptionMethod, AbstractDrupalAppDeprecated.RunningMode`

Field Summary

Fields inherited from class org.drupal.project.async_command.AbstractDrupalAppDeprecated
`config, dataSource, drupalConnection, logger, maxBatchSize, runningMode`

Constructor Summary
`DefaultDrupalAppDeprecated()` Deprecated.

Method Summary
`Result` | `dummy()` Deprecated.
`Result` | `dummy(java.lang.String message)` Deprecated.
`java.lang.String` | `identifier()` Deprecated.
`static void` | `main(java.lang.String[] args)` Deprecated.

Methods inherited from class org.drupal.project.async_command.AbstractDrupalAppDeprecated
`batch, convertBlobValueToString, d, drupalVariableGet, drupalVariableSet, evalPhp, evalPhp, getDefaultSettingsPhpFile, getReaderContent, handleCLI, initConfig, initDrupalConnection, loadSettingsPhp, pingMe, prepareApp, prepareCommand, query, queryValue, readEncryptedSettingsField, readEncryptedSettingsField, retrievePendingCommand, run, runApp, runCommand, testConnection, unserializePhpArray, update, updateRecord`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDrupalAppDeprecated

    public DefaultDrupalAppDeprecated()

  Deprecated.

Method Detail

### identifier

    public java.lang.String identifier()

  Deprecated.
  Specified by:
    `identifier` in class `AbstractDrupalAppDeprecated`
  Returns:
    The name of the drupal application.

### dummy

    public Result dummy()

  Deprecated.

### dummy

    public Result dummy(java.lang.String message)

  Deprecated.

### main

    public static void main(java.lang.String[] args)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD